/************************************************************************
*	Copyright (c) 1997-2002 California Institute of Technology      *
*                     U.S. Government Sponsorship                       *
* Under contract with the National Aeronautics and Space Administration *
*************************************************************************/


#define _FLUX_DATA_



class Fluxdata
{
private:
  // Elements for data storage
  char *starName;
  int starNum;

  double wavelength,flux,fluxErr,bandwidth;

public:
  // Required elements for the linked-list code
  Fluxdata *nextNode;
  double sortKey;


  // Constructor
  Fluxdata(const char *star_name,const int star_num,
	   const double WaveLength,
	   const double Flux,const double FluxErr,
	   const double Bandwidth)
  {
    starName = strdup(star_name);
    starNum = (int) star_num;
    wavelength = (double) WaveLength;
    flux = (double) Flux;
    fluxErr = (double) FluxErr;
    bandwidth = (double) Bandwidth;
  } // end Fluxdata constructor


  // Destructor
  ~Fluxdata(void)
  {
    if (starName)
      delete starName;
  }

  // Accessor Member Functions
  char *get_starName(void) {return starName;}
  int get_starNum(void) {return starNum;}
  double get_wavelength(void) {return wavelength;}
  double get_flux(void) {return flux;}
  double get_fluxErr(void) {return fluxErr;}
  double get_bandwidth(void) {return bandwidth;}

  void set_flux(const double Flux) {flux = (double) Flux;}
  void set_fluxErr(const double FluxErr) {fluxErr = (double) FluxErr;}

};

  
