package tGuiAttributes;

use strict;
use warnings;
use gcConfig;

##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################

my $cfg = config();

## tGuiAttributes -- simple module for tGui Attributes (A.B. 1/2001)
our $tGuiCopyright = copyright_string();

## Define the colors in the tGui display
our $intersectionColor = "DarkSlateGray";
our $zaColor = "green4";
our $delayColor = "blue";
our $transitColor = "red2";
our $currentUTColor = "red3";
our $sunColor = "MediumBlue";
our $clusterColor = "red";
##$clusterColor = "green4";

our $moonColor = "green4";


our $pointingColor = "OrangeRed";
our $pointingThickness = 3;


## Define tGui's canvas size
our $tGuiXCanvasSize = 700;
our $tGuiYCanvasSize = 300;
our $tGuiDisplayHours = 18.0;


## Default time offset (pull from the environment if there...)
our $timeOffsetHR = $cfg->defaultTimeOffset;


## Max Items in the target menu(s)
our $targMenuItems = 25;


1;
