#! @PERL@
# -*- perl -*-
# @configure_input@

our $MODVERSION = '$Id: hipRecord.pl,v 1.15 2008/11/12 23:28:59 sgroom Exp $';

##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################


# hipRecord extracts the hipparcos catalog record for a designated object

use strict;
use warnings;
use FindBin qw($RealBin);
use lib "$RealBin/../lib/modules";		# location of getCal Perl modules
use gcConfig;
use Getopt::Long;
use hipparcosKeys;
use miscString;
use astroCatalogue;
use hipRecord;

my $cfg = gcConfig::config();
my $debug = 0;

# Process the command line options with GetOptions (long).
my ($opt_target, $opt_targetHD, $opt_targetHIP, $opt_targetDM);
my $result = GetOptions("targetName:s" => \$opt_target,
			"targetHD:s" => \$opt_targetHD,
			"targetHIP:s" => \$opt_targetHIP,
			"targetDM:s" => \$opt_targetDM,
			"d|debug+" => \$debug
			);
optDebug($debug);

my $idType;
my $id;

if($opt_target)
{
    my @pieces = identPieces($opt_target);
    if ($pieces[0] eq "HD")
    {
	$opt_targetHD = $pieces[1];
    }
    elsif ($pieces[0] eq "HIP")
    {
	$opt_targetHIP = $pieces[1];
    }
    elsif ($pieces[0] eq "DM")
    {
	$opt_targetDM = $pieces[1];
    }
    else
    {
	die "hipRecord: Only HD, HIP, and DM lookups are presently supported.";
    }
}

if ($opt_targetHD)
{
    $idType = "HD";
    $id = $opt_targetHD;
}
elsif ($opt_targetHIP)
{
    $idType = "HIP";
    $id = $opt_targetHIP;
}
elsif ($opt_targetDM)
{
    $idType = "DM";
    $id = $opt_targetDM;
}
else
{
    die "hipRecord: Only HD, HIP, and DM lookups are presently supported.";
}
my $output = getHipRecord($idType,$id);
if (defined $output)
{
    print $output;
}
