package angleBetween;
my $MODVERSION = '$Id: angleBetween.pm,v 1.5 2008/11/12 23:28:22 sgroom Exp $';
use strict;
use warnings;
require 5.000;

use Exporter();

our @ISA = qw(Exporter);
our @EXPORT = qw(angleBetween);


##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################


use POSIX;
use angles;
use vector;

#########################################################################
## angleBetween -- compute the angle between two input sky positions
#########################################################################
sub angleBetween
{
## declarations angleBetween  ###########################################
    my ($sRA,$sDec,$cRA,$cDec) = @_;

## begin angleBetween  ##################################################
    # do a unit vector dot product the hard way
    $sRA *= DEG_TO_RAD;
    $sDec *= DEG_TO_RAD;
    $cRA *= DEG_TO_RAD;
    $cDec *= DEG_TO_RAD;

    my $dp = &dot(cos($sRA) * cos($sDec),
		  sin($sRA) * cos($sDec),
		  sin($sDec),
		  cos($cRA) * cos($cDec),
		  sin($cRA) * cos($cDec),
		  sin($cDec));

    # compute the angle between these two hombres
    my $ang = POSIX::acos($dp);
    return ($ang / DEG_TO_RAD);

} ## end angleBetween  ##################################################


return 1;    
