package angles;
my $MODVERSION = '$Id: angles.pm,v 1.6 2008/11/12 23:28:22 sgroom Exp $';
use strict;
use warnings;
require 5.000;

use Exporter;
our @ISA = qw(Exporter);
our @EXPORT = qw(PI TWO_PI PI_OVER_TWO PI_OVER_FOUR
	     RAD_TO_ASEC ASEC_TO_RAD MAS_TO_RAD
	     UAS_TO_RAD RAD_TO_DEG DEG_TO_RAD
	     RAD_TO_MAS RAD_TO_UAS);

##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################

## angles.pm -- angle constants for getCal


use constant PI => 3.141592654;
use constant TWO_PI => 6.283185307;
use constant PI_OVER_TWO => 1.570796327;
use constant PI_OVER_FOUR => 0.785398163;

use constant RAD_TO_ASEC => 2.062648e5;
use constant ASEC_TO_RAD => 4.848137e-6;
use constant MAS_TO_RAD => (1.0e-3 * ASEC_TO_RAD);
use constant UAS_TO_RAD => (1.0e-6 * ASEC_TO_RAD);
use constant RAD_TO_DEG => (180.0 / PI);
use constant DEG_TO_RAD => (PI / 180.0);

use constant RAD_TO_MAS => (1.0 / MAS_TO_RAD);
use constant RAD_TO_UAS => (1.0 / UAS_TO_RAD);



