package gcDebug;
my $MODVERSION = '$Id: gcDebug.pm,v 1.3 2007/02/28 00:53:19 sgroom Exp $';

# This module provides a standard way of generating debugging messages from
# within getCal

use strict;
use warnings;
use gcConfig;

use Exporter();
our @ISA = qw(Exporter);
our @EXPORT = qw(gcDebug dumpopts);

my $cfg = gcConfig::config();

# print a debug message with standardized formatting
sub gcDebug
{
    my $module = shift;		# module name (normally "package::function")
    my $level = shift;		# debug level (small integer >=1)
    my @message = @_;		# message to print (anything we can feed to print() )

    my $dbg = $cfg->debug;

    if  (($dbg) && ($dbg >= $level))
    {
	print STDERR "GCDEBUG: $module: ",@message;
    }
}

# debugging support - print contents of hash containing options
sub dumpopts
{
    my $dbgname = shift;	# name of the calling module
    my $opts = shift;		# hash ref containing options to print

    if ($cfg->debug)
    {
        if (defined $opts)
        {
            foreach my $o (sort keys %$opts)
            {
                gcDebug $dbgname . "-dumpopts",1,"option $o value $opts->{$o}\n";
            }
        }
        else
        {
            gcDebug $dbgname . "-dumpopts",1,"no options supplied\n";
        }
    }   
}   

