package novasConstants;
my $MODVERSION = '$Id: novasConstants.pm,v 1.4 2008/11/12 23:28:23 sgroom Exp $';
use strict;
use warnings;
##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################


# Perl translation of novascon (selected NOVAS constants)

#   TDB Julian date of epoch J2000.0.
use constant T0 => 2451545.0;

# Astronomical Unit in kilometers.
use constant KMAU => 1.49597870e+8;

# Astronomical Unit in meters.
use constant MAU => 1.49597870e+11;

# Speed of light in AU/Day.
use constant C => 173.1446333;

# Radius of Earth in kilometers.
use constant EARTHRAD => 6378.140;


# Solar to Sidereal day conversion
use constant SolarToSidereal => 1.00273790935;

return 1; # for the require statement
