package parseSpType;
my $MODVERSION = '$Id: parseSpType.pm,v 1.5 2008/11/12 23:28:23 sgroom Exp $';

use strict;
use warnings;

require 5.000;

our @ISA = qw(Exporter);
our @EXPORT = qw(parseSpType);



##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################


#########################################################################
## parseSpectralType -- separate spectral type into components
#########################################################################
sub parseSpType
{
# parseSpType parses the input spectral type into major, minor, and
# luminosity class, and returns the result

    my ($major_default, $minor_default, $lclass_default) = ("Z", 0, "");

    my $spType = shift @_;

    my $major = (($spType =~ m/(O|B|A|F|G|K|M|C|S)/)[0] || $major_default);

    # Extract the minor
    my $minor = $minor_default;
    if (my $minortemp = (($spType =~ m/(\d+\.?\d*)/))[0]) {
	$minor = $minortemp;
    }

    # Luminosity class
    my $lclass = "";
    if (!($lclass = (($spType =~ m/(I(I{1,2}|V)?|V)/)[0]))) {
	$lclass = $lclass_default;
    }

    return ($major,$minor,$lclass);
}


return 1;

