package stringSets;
my $MODVERSION = '$Id: stringSets.pm,v 1.2 2006/03/24 01:41:40 sgroom Exp $';

use strict;
use warnings;
use Exporter();
our @ISA = qw(Exporter);
our @EXPORT = qw(union diff);

# Return the union of one or more sets
sub union {
    my %sh;
    while (defined(my $s = shift)) {
	foreach my $e (@$s) {
	    $sh{$e} = 0;
	}
    }
    my @u = sort(keys(%sh));
    return \@u;
}

# Set difference:  What elements in the Left set aren't in the Right set?
sub diff {
    my $left = union($_[0]);
    my $right = union($_[1]);
    my @results;
    my ($i, $j) = (0, 0);
    while ($i <= $#$left) {
	my $c = -1;
	$c = ($left->[$i] cmp $right->[$j]) if ($j <= $#$right);
	if ($c == -1) {
	    push @results, $left->[$i++];
	} elsif ($c == 1) {
	    ++$j;
	} else {
	    ++$i;
	}
    }
    return \@results;
}
