#! @PERL@
# -*- perl -*-
# @configure_input@

our $MODVERSION = '$Id: stripNames.pl,v 1.9 2008/11/12 23:28:59 sgroom Exp $';

##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################

# stripNames -- This script strips SIMBAD-readable object names out of
# getCal-internal records input through STDIN

use strict;
use warnings;
use FindBin qw($RealBin);
use lib "$RealBin/../lib/modules";		# location of getCal Perl modules
use Getopt::Long;
use internalLine;

Getopt::Long::config("pass_through");

my $stream;
my @filenames = ();
my $result = GetOptions("stdin" => \$stream,
		     "filename=s" => \@filenames);

## Slurp the input stream
my @inputStream;
if (($stream)
    || ((! (scalar @filenames)) && (!(scalar @ARGV)))) ## read from stdin
{
    @inputStream = <STDIN>;
}
elsif (scalar @filenames)  ## otherwise read from designated filenames
{
    foreach my $file (@filenames)
    {
	open (READ,$file) or die "Unable to open $file\n";
	push @inputStream , <READ>;
	close (READ);
    } ## end foreach
}
elsif (scalar @ARGV)
{
    foreach my $file (@ARGV)  ## Read all the remaing filenames
    {
	open (READ,$file) or die "Unable to open $file\n";
	push @inputStream, <READ>;
	close (READ);
    } ## end foreach
}


foreach my $line (@inputStream)
{
    if ($line =~ m/\S+/) # check trivial line
    {
	my $catLine = new internalLine(line => $line);
	print $catLine->getIdent("designation", "catIndex", "catIndex2") . "\n";
    } # end trivial line check
}
