#! @PERL@
# -*- perl -*-
# @configure_input@

our $MODVERSION = '$Id: testGcIrsa.pl,v 1.6 2009/01/08 02:10:34 sgroom Exp $';

#
# testGcIrsa - test harness for the gcIrsa perl module
#


use strict;
use warnings;
use Test;
use gcIrsa;

print "Testing gcIrsa\n";
BEGIN { plan tests => 19, onfail => sub {die "One or more tests failed"} }
my ($data, $ecode) = search_irsa({catalog => "fp_psc",
				 cols => [qw/ra dec k_m j_m h_m/],
				 radius => 180,
				 target => "betelgeuse"});
ok($ecode, 0);
ok(scalar @$data, 2); # expect 2 results
ok($data->[0]{ra}, 88.792856);
ok($data->[0]{dec}, 7.407109);
ok($data->[0]{k_m}, -4.378);
ok($data->[0]{j_m}, -2.989);
ok($data->[0]{h_m}, -4.007);

my $h = $data->[1]; # $h is reference to a hash of values from the 2nd result
ok($h->{ra}, 88.814451);
ok($h->{dec}, 7.363045);
ok($h->{k_m}, 8.726);
ok($h->{j_m}, 8.862);
ok($h->{h_m}, 8.771);

($data, $ecode) = search_irsa({catalog => "iraspsc",
			       cols => [ qw/fnu_12/ ],
			       radius => 3,
			       target => "betelgeuse"});
ok($ecode, 0);
ok(scalar @$data, 1); # expect 1 result
ok(4.682e+03 == $data->[0]{fnu_12});


# the query for "rosebud" and "HD 000000" are expected to fail,
# with the query for "yy gem" succeeding and returning the coords shown.
print "Some error messages from irsaminer here are normal...\n";
my %args = (catalog => "fp_psc",
	    cols => [qw/ra dec/],
	    radius => 15);
($data, $ecode) = search_irsa_nl(\%args, "rosebud", "HD 000000", "yy gem");
ok($ecode, 0);
ok(scalar @$data, 1);
ok($data->[0]{ra}, '113.656068');
ok($data->[0]{dec}, '31.869511');
print "Done testing gcIrsa\n";
