#! @PERL@
# -*- perl -*-
# @configure_input@

our $MODVERSION = '$Id: testMiscString.pl,v 1.9 2006/04/01 02:35:54 sgroom Exp $';

#
# testMiscString - test harness for miscString perl module
#

use strict;
use warnings;
use Test;

use miscString;

print "Testing miscString\n";
BEGIN { plan tests => 33, onfail => sub {die "One or more tests failed"} }

print "\t...testing formatValues\n";
my ($a, $b, $c, $d, $e, $f) = (0, 1, undef, 3, 4, undef);
my $s = formatValues("?", " ", "%d", $a, "%d", $b, "%d", $c, "%d", $d, "%d", $e, "%d", $f);
ok($s, "0 1 ? 3 4 ? ");

print "\t...testing isNumeric\n";
ok(isNumeric('5'), 1);
ok(isNumeric('+5'), 1);
ok(isNumeric('-5'), 1);
ok(isNumeric('+.03'), 1);
ok(isNumeric('-1.2'), 1);
ok(isNumeric('-6.374e-03'), 1);
ok(isNumeric('7E5'), 1);
ok(isNumeric('.2e+01'), 1);
ok(isNumeric('8.2.3'), 0);
ok(isNumeric('-2.4.6'), 0);
ok(isNumeric('-7.4e5.3'), 0);
ok(isNumeric('   '), 0);
ok(isNumeric(' e  '), 0);
ok(isNumeric(' -e  '), 0);
ok(isNumeric(' e-  '), 0);
ok(isNumeric(' .e  '), 0);
ok(isNumeric(' e.  '), 0);
ok(isNumeric(''), 0);

print "\t...testing numberOnly\n";
ok(numberOnly('60179C'), 60179);
ok(numberOnly('xz5.207w'), 5.207);
ok(numberOnly('.79') == 0.79);
ok(numberOnly('0.079') == .079);
ok(numberOnly('?'), '');
ok(numberOnly('4.5x') == 4.5);
ok(numberOnly('r .55') == .55);
ok(numberOnly('# 7.2+b') == 7.2);
ok(numberOnly('xb6.22e-2.') == 0.0622);
ok(numberOnly('xb-6.22e-2*') == -.0622);

print "\t...testing exec_stdin\n";
my $intext0 = "a\nb\nc";
ok(exec_stdin("cat", $intext0), $intext0);
my $intext1 = "\"a\"\n\"b\"\n\"c\"";
ok(exec_stdin("cat", $intext1), $intext1);

print "\t...testing trimWhite\n";
ok(trimWhite(" \tyyz\n\t ", "yyz"));
ok(trimWhite("  \n y \t\n y\n  \tz\t\n "), "y \t\n y\n  \tz");
