#! @PERL@
# -*- perl -*-
# @configure_input@

our $MODVERSION = '$Id: testStringSets.pl,v 1.3 2006/04/01 02:35:54 sgroom Exp $';

#
# testStringSets - test harness for stringSets perl module
#

use strict;
use warnings;
use Test;
use stringSets;

print "Testing stringSets\n";
BEGIN { plan tests => 25, onfail => sub {die "One or more tests failed"} }

my @a = ("dogs", "cats", "foxes", "bears", "cats", "rabbits", "squirrels", "foxes", "dogs");
my $s = union(\@a);
ok(5, scalar $#$s);
ok("bears", $s->[0]);
ok("cats", $s->[1]);
ok("dogs", $s->[2]);
ok("foxes", $s->[3]);
ok("rabbits", $s->[4]);
ok("squirrels", $s->[5]);

# union with null set shouldn't change anything
$s = union(\@a, undef);
ok(5, scalar $#$s);
ok("bears", $s->[0]);
ok("cats", $s->[1]);
ok("dogs", $s->[2]);
ok("foxes", $s->[3]);
ok("rabbits", $s->[4]);
ok("squirrels", $s->[5]);

# same for diff with null set
$s = diff(\@a, undef);
ok(5, scalar $#$s);
ok("bears", $s->[0]);
ok("cats", $s->[1]);
ok("dogs", $s->[2]);
ok("foxes", $s->[3]);
ok("rabbits", $s->[4]);
ok("squirrels", $s->[5]);

# now do a real diff
my @b = ("foxes", "squirrels", "bears");
$s = diff(\@a, \@b);
ok(3, scalar @$s);
ok("cats", $s->[0]);
ok("dogs", $s->[1]);
ok("rabbits", $s->[2]);
